package core.entities.timemanager;

import javax.persistence.*;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Objects;

@Entity
@DiscriminatorValue("0")
public class BasicTaskSchedule extends AbstractSchedule{

   private LocalDate scheduleDate;

    public BasicTaskSchedule() {
    }

    public BasicTaskSchedule(Task task, LocalDateTime startTime, LocalDateTime stopTime, LocalDate scheduleDate) {
        super(task, startTime, stopTime);
        this.scheduleDate = scheduleDate;
    }

    public LocalDate getScheduleDate() {
        return scheduleDate;
    }

    public void setScheduleDate(LocalDate scheduleDate) {
        this.scheduleDate = scheduleDate;
    }
}
